Stop on first error

Possible Duplicate:
Automatic exit from bash shell script on error

How can I have bash stop on the first command failure, without putting stuff like this all through my code?

some_prog || exit 1
some_other_prog || exit 1

Maybe you want set -e :

http://www.davidpashley.com/articles/writing-robust-shell-scripts.html#id2382181

This tells bash that it should exit the script if any statement returns a non-true return value. The benefit of using -e is that it prevents errors snowballing into serious issues when they could have been caught earlier. Again, for readability you may want to use set -o errexit.

链接地址: http://www.djcxy.com/p/25610.html

上一篇: sh和bash之间的区别

下一篇: 第一个错误停止